BACKUPCHECKER(1)

NAME
backupchecker - fully automated backup checker

SYNOPSIS

backupchecker [-c DIR] [-l FILE] [-G] ARG1 ARG2

DESCRIPTION

Backup Checker parses backups (archives and file tree) to perform several different checks in order to verify your backup integrity and its associated content.

OPTIONS

-c DIR, --configpath DIR
    the path to the configurations

-C DIR, --output-conf-dir DIR
    the directory to store the configuration file

-d DELIMITER, --delimiter DELIMITER
    delimiter of the fields for the list of files

-E FILE, --exceptions-file FILE
    delimiter of the fields for the list of files

-g, --gen-list
    generate a list of files inside a backup

-G, --gen-full
    generate the configuration file and the list of files for the backup

-H, --hashes
    generate the hash sum of each encountered file in the backup

--hashtype HASHTYPE
    the type of the hash sum to use while generating configurations for the archive

-l FILE, --log FILE
    the log file

-L DIR, --output-list-dir DIR
    the directory to store the list of files inside an archive or tree

-n NAME, --configuration-name NAME
    the name to use to name the .conf and .list generated by -g or -G options (default is the name of the archive)

-O DIR, --output-list-and-conf-dir DIR
    the directory to store the configuration file and the list of files inside an archive or tree

-v, --version
    the version of Backup Checker

EXAMPLES

Generate the list of files (.conf and .list files) and their attributes inside a backup

$ backupchecker -G /backups/monthly-backup.tar.gz

Launch Backup Checker indicating your configuration directory and your log file

$ backupchecker -c /etc/brebis/ -l /var/log/brebis.log

Verify a remote backup by FTP

$ wget --quiet -O - ftp://user:pass@server/backup.tar.gz | backupchecker -c /etc/brebis/ -l /var/log/brebis.log

AUTHOR

Carl Chenet <chaica@backupchecker.com[]>

RESSOURCES

Backup Checkup project homepage : https://github.com/backupchecker/backupchecker

LICENSE

Copyright © 2015-2017 Carl Chenet <chaica@backupchecker.com> This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License. This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. You should have received a copy of the GNU General Public License along with this program. If not, see http://www.gnu.org/licenses/.